Bug 1313161 - Filtering event data on web console doesn't work well
Filtering event data on web console doesn't work well
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Samuel Padgett
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 01:43 EST by Yanping Zhang
Modified: 2016-05-12 13:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:10:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
filter-right (145.48 KB, image/png)
2016-03-01 01:43 EST, Yanping Zhang
no flags Details
filter-wrong-1 (158.03 KB, image/png)
2016-03-01 01:44 EST, Yanping Zhang
no flags Details
filter-wrong-2 (153.59 KB, image/png)
2016-03-01 01:45 EST, Yanping Zhang
no flags Details

  None (edit)
Description Yanping Zhang 2016-03-01 01:43:41 EST
Created attachment 1131802 [details]
filter-right

Description of problem:
After create app in project, try to filter event data on Event page and all resources event tab page. When input partial word in filter box, sometimes it filters out event data correctly, sometimes filters wrong or doesn't filter out.
Refer to attachments.

Version-Release number of selected component (if applicable):
openshift v1.1.3-342-g8f04689
kubernetes v1.2.0-alpha.7-703-gbc4550d
etcd 2.2.5


How reproducible:
Always

Steps to Reproduce:
1.Create app in project.
2.Login web console, on Event page and all resources event tab page, input partial word that contained in some event data, eg: input "29" to filter "11:09:29 AM", input "sti" to filter event data containing "sti"
3.

Actual results:
2.Sometimes filter out correctly, sometimes wrong.

Expected results:
3.Should always filter out events correctly.


Additional info:
Comment 1 Yanping Zhang 2016-03-01 01:44 EST
Created attachment 1131803 [details]
filter-wrong-1
Comment 2 Yanping Zhang 2016-03-01 01:45 EST
Created attachment 1131804 [details]
filter-wrong-2
Comment 3 Samuel Padgett 2016-03-01 09:45:31 EST
It's working, except the filter is more inclusive than you expect. For instance, if you search for "29," it will match 29 anywhere in the timestamp like milliseconds, although we don't show the time to that precision in the table.

I can look at restricting the filter so it doesn't match everything in the event. Probably we want to remove matching on time and any field we don't display.
Comment 4 Samuel Padgett 2016-03-01 10:42:58 EST
https://github.com/openshift/origin/pull/7715
Comment 5 Samuel Padgett 2016-03-02 08:59:18 EST
Note that the above pull intentionally disables filtering on time. You can filter on the other visible fields in the table.
Comment 6 Yanping Zhang 2016-03-02 21:38:37 EST
Tested on devenv-rhel7_3592:
openshift v1.1.3-397-g326e0ed
kubernetes v1.2.0-alpha.7-703-gbc4550d
etcd 2.2.5
After created app in project ,filter events data on all related page, it can filter visible field except time field as designed.
The bug has been fixed, so move to Verified.

Note You need to log in before you can comment on or make changes to this bug.